From: "Craig Andrews" <candrews@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocr-runtime/
Date: Thu, 8 Apr 2021 19:18:21 +0000 (UTC) [thread overview]
Message-ID: <1617909496.46cc53d53d30eee0e4a241efb9c640b5aefb4695.candrews@gentoo> (raw)
commit: 46cc53d53d30eee0e4a241efb9c640b5aefb4695
Author: Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 8 19:17:51 2021 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Apr 8 19:18:16 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46cc53d5
dev-libs/rocr-runtime: add debug USE flag
Closes: https://bugs.gentoo.org/780480
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
dev-libs/rocr-runtime/rocr-runtime-4.1.0.ebuild | 6 ++++++
dev-libs/rocr-runtime/rocr-runtime-9999.ebuild | 12 +++++++++---
2 files changed, 15 insertions(+), 3 deletions(-)
diff --git a/dev-libs/rocr-runtime/rocr-runtime-4.1.0.ebuild b/dev-libs/rocr-runtime/rocr-runtime-4.1.0.ebuild
index 75444f1b60d..caacf00b4bf 100644
--- a/dev-libs/rocr-runtime/rocr-runtime-4.1.0.ebuild
+++ b/dev-libs/rocr-runtime/rocr-runtime-4.1.0.ebuild
@@ -23,6 +23,7 @@ PATCHES=(
LICENSE="MIT"
SLOT="0/$(ver_cut 1-2)"
+IUSE="debug"
COMMON_DEPEND="sys-process/numactl
dev-libs/elfutils:="
@@ -44,3 +45,8 @@ src_prepare() {
cmake_src_prepare
}
+
+src_configure() {
+ use debug || local mycmakeargs=(-DCMAKE_CXX_FLAGS='-DNDEBUG')
+ cmake_src_configure
+}
diff --git a/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild b/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild
index 2a972d7fd3d..caacf00b4bf 100644
--- a/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild
+++ b/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -18,11 +18,12 @@ fi
DESCRIPTION="Radeon Open Compute Runtime"
HOMEPAGE="https://github.com/RadeonOpenCompute/ROCR-Runtime"
PATCHES=(
- "${FILESDIR}/${PN}-3.7.0-cmake-install-paths.patch"
+ "${FILESDIR}/${PN}-4.1.0-cmake-install-paths.patch"
)
LICENSE="MIT"
SLOT="0/$(ver_cut 1-2)"
+IUSE="debug"
COMMON_DEPEND="sys-process/numactl
dev-libs/elfutils:="
@@ -40,7 +41,12 @@ src_prepare() {
sed -e "s:find_package(Clang REQUIRED HINTS \${CMAKE_INSTALL_PREFIX}/llvm \${CMAKE_PREFIX_PATH}/llvm PATHS /opt/rocm/llvm ):find_package(Clang REQUIRED HINTS /usr/lib/llvm/roc ):" -i image/blit_src/CMakeLists.txt || die
# Gentoo installs "*.bc" to "/usr/lib" instead of a "[path]/bitcode" directory ...
- sed -e "s:/opt/rocm/amdgcn/bitcode:/usr/lib:" -i image/blit_src/CMakeLists.txt || die
+ sed -e "s:/opt/rocm/amdgcn/bitcode:/usr/lib/amdgcn/bitcode:" -i image/blit_src/CMakeLists.txt || die
cmake_src_prepare
}
+
+src_configure() {
+ use debug || local mycmakeargs=(-DCMAKE_CXX_FLAGS='-DNDEBUG')
+ cmake_src_configure
+}
next reply other threads:[~2021-04-08 19:18 UTC|newest]
Thread overview: 47+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-04-08 19:18 Craig Andrews [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-01 7:57 [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocr-runtime/ Patrick Lauer
2024-07-28 8:00 Patrick Lauer
2024-03-12 2:25 Sam James
2024-03-12 2:25 Sam James
2024-03-12 2:25 Sam James
2024-03-08 19:26 Sam James
2023-12-23 16:10 罗百科
2023-12-23 10:43 罗百科
2023-10-24 8:12 罗百科
2023-10-19 10:38 罗百科
2023-10-09 12:34 罗百科
2023-09-03 6:31 罗百科
2023-03-02 8:53 罗百科
2023-02-22 16:16 Sam James
2023-02-08 4:18 Sam James
2023-02-08 4:18 Sam James
2023-02-01 9:53 Andreas Sturmlechner
2022-12-20 9:26 罗百科
2022-11-19 11:50 Benda XU
2022-08-06 14:23 Benda XU
2022-06-22 13:21 Benda XU
2021-08-19 19:46 Craig Andrews
2021-07-11 3:26 Craig Andrews
2021-06-28 20:05 Craig Andrews
2021-04-27 13:16 Craig Andrews
2020-12-21 12:55 Craig Andrews
2020-12-06 19:04 Craig Andrews
2020-11-15 12:43 Craig Andrews
2020-11-13 21:07 Craig Andrews
2020-09-20 21:01 Craig Andrews
2020-09-20 20:54 Craig Andrews
2020-09-20 20:54 Craig Andrews
2020-09-08 16:22 Craig Andrews
2020-08-25 21:08 Craig Andrews
2020-08-22 17:49 Craig Andrews
2020-04-01 19:33 Craig Andrews
2020-03-02 0:39 Craig Andrews
2020-02-29 4:36 Craig Andrews
2020-01-02 12:59 Craig Andrews
2019-11-24 17:10 Craig Andrews
2019-10-05 14:32 Craig Andrews
2019-09-30 15:23 Craig Andrews
2019-08-20 18:25 Craig Andrews
2019-08-14 20:54 Craig Andrews
2019-08-07 17:38 Craig Andrews
2019-08-07 17:38 Craig Andrews
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1617909496.46cc53d53d30eee0e4a241efb9c640b5aefb4695.candrews@gentoo \
--to=candrews@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox